/*
 * SimulationProperties.java
 *
 * Created on June 24, 2003, 1:59 PM
 */

package ch.unizh.ini.friend.gui;

import ch.unizh.ini.friend.simulation.SimulationSetup;
import ch.unizh.ini.friend.simulation.SimulationTask;

/**
 *
 * @author  tobi
 */
public class SimulationProperties extends javax.swing.JDialog {
    
    public int delay;
    public int nIterate;
    SimulationSetup setup=null;
    SimulationTask task=null;
    
    /** Creates new form SimulationProperties 
     @param parent the parent component (to be centered over) or null to center on screen
     @param modal true to halt gui thread and wait for return
     @param setup the simulation setup
     */
    public SimulationProperties(java.awt.Frame parent, boolean modal, SimulationSetup setup) {
        super(parent, modal);
        initComponents();
        if(setup!=null) task=setup.getSimulation();
        if(task!=null) {
            simulationDelaySlider.setValue((int)task.getDelay());
            simulationIterationNumberSlider.setValue(task.getNumberOfIterationsPerStep());
        }
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        simulationDelaySlider = new javax.swing.JSlider();
        jLabel2 = new javax.swing.JLabel();
        simulationIterationNumberSlider = new javax.swing.JSlider();
        jPanel2 = new javax.swing.JPanel();
        okButton = new javax.swing.JButton();
        cancelButton = new javax.swing.JButton();

        setTitle("Simulation properties");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        jPanel1.setLayout(new java.awt.GridLayout(2, 2));

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Delay in ms");
        jPanel1.add(jLabel1);

        simulationDelaySlider.setMajorTickSpacing(10);
        simulationDelaySlider.setPaintLabels(true);
        simulationDelaySlider.setToolTipText("Sets the delay in ms between steps");
        simulationDelaySlider.setValue(10);
        jPanel1.add(simulationDelaySlider);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Number of iterations/step");
        jPanel1.add(jLabel2);

        simulationIterationNumberSlider.setMajorTickSpacing(5);
        simulationIterationNumberSlider.setMaximum(10);
        simulationIterationNumberSlider.setMinimum(1);
        simulationIterationNumberSlider.setMinorTickSpacing(1);
        simulationIterationNumberSlider.setPaintLabels(true);
        simulationIterationNumberSlider.setPaintTicks(true);
        simulationIterationNumberSlider.setSnapToTicks(true);
        simulationIterationNumberSlider.setToolTipText("Sets the number of iterations per simulation step");
        simulationIterationNumberSlider.setValue(3);
        jPanel1.add(simulationIterationNumberSlider);

        getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);

        okButton.setText("OK");
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                okButtonActionPerformed(evt);
            }
        });

        jPanel2.add(okButton);

        cancelButton.setText("Cancel");
        cancelButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelButtonActionPerformed(evt);
            }
        });

        jPanel2.add(cancelButton);

        getContentPane().add(jPanel2, java.awt.BorderLayout.SOUTH);

        pack();
    }//GEN-END:initComponents

    private void okButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_okButtonActionPerformed
         task.setDelay((long)simulationDelaySlider.getValue());
         task.setNumberOfIterationsPerStep(simulationIterationNumberSlider.getValue());
         setVisible(false);
         dispose();
    }//GEN-LAST:event_okButtonActionPerformed

    private void cancelButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelButtonActionPerformed
        setVisible(false);
        dispose();        // Add your handling code here:
    }//GEN-LAST:event_cancelButtonActionPerformed
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        setVisible(false);
        dispose();
    }//GEN-LAST:event_closeDialog
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        new SimulationProperties(new javax.swing.JFrame(), true, null).show();
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JSlider simulationIterationNumberSlider;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JButton okButton;
    private javax.swing.JSlider simulationDelaySlider;
    private javax.swing.JButton cancelButton;
    private javax.swing.JPanel jPanel1;
    // End of variables declaration//GEN-END:variables
    
}
